# pandas.Series.str.contains

`Series.str.``contains`(pat, case=True, flags=0, na=nan, regex=True)

  Return boolean Series/`array` whether given pattern/regex is contained in each string in the Series/Index.

  Parameters:

  pat : string

  > Character sequence or regular expression

  case : boolean, default True

  > If True, case sensitive

  flags : int, default 0 (no flags)

  > re module flags, e.g. re.IGNORECASE

  na : default NaN, fill value for missing values.

  regex : bool, default True

  > If True use re.search, otherwise use Python in operator

  Returns: | contained : Series/array of boolean values

  See also

  `match`
    analogous, but stricter, relying on re.match instead of re.search

Scroll To Top